Subject: bug#622: libczmq-dev depends on libsystemd-dev

From: "Fernando M. Maresca" <[email-masked]>
Date: Mon, 25 Oct 2021 09:55:28 -0300

Hi Mark,
On Sat, Oct 23, 2021 at 03:34:32PM +0100, Mark Hindley wrote:
> I am not very (at all!) familiar with Go. Can it use the include files
> directly?

I'm not either... I'm starting to evaluate Go for a project I'm going to
do next year.

My understanding is that the czmq Go module/lib needs libczmq-dev and
libzmq-dev (or perhaps, czmq (high level lib) depends on zmq (low level
lib)) to build itself. As long as the libs are in the path, I think it's
all needed for Go to build it's modules.

I've managed to build the Go/zmq module by getting the libczmq source
package and building with
    ./configure  --with-libsystemd=no
and make install (under /usr/local/) on the source dir, and I did not
a buildpackage. 

I do not know what the policy is in Devuan for a package that's not 
installable because of a systemd/libsystemd depency. I'm ready to admit
that this package is not essential and may be this bug should be
closed.

Thank you

-- 
Fernando M. Maresca